﻿@page
@using Management.Entities;
@using Management.BusinessLogic;
@model Management.Pages.export.ViewModel
@{
    /* Constants */
    ViewData["Title"] = "View Export";

    /* Get export id */
    string exportID = Request.Query["id"];

    /* Read the export detail */
    Export? export = BUS_Export.ReadInfo(exportID);
}

<div class="row text-start">
    <p>
        <a href="/" class="link-primary text-decoration-none">Home</a>
        >
        <a href="/export" class="link-primary text-decoration-none">Export</a>
        >
        <a href="/export/view?id=@exportID" class="link-primary text-decoration-none">View</a>
    </p>
</div>
<div>
    @if (export.HasValue)
    {
        <div class="row table_header mb-2">
            <p class="col-auto mb-2 text-start fw-bold">Export order [ID = @export.Value.ID] Details</p>
        </div>
        <div class="text-center table_section mb-2">
            <table class="table table-bordered table-striped table-hover align-middle">
                <thead>
                    <tr>
                        <th>Export ID</th>
                        <th>Export User</th>
                        <th>Export Date</th>
                    </tr>
                </thead>

                <tbody>
                    <tr>
                        <td>@export.Value.ID</td>
                        <td>@export.Value.User</td>
                        <td>@export.Value.Date</td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class="text-center table_section mb-2">
            <table class="table table-bordered table-striped table-hover align-middle">
                <thead>
                    <tr>
                        <th>No</th>
                        <th>Product Name</th>
                        <th>Quantity</th>
                        <th>MFD</th>
                        <th>EXD</th>
                    </tr>
                </thead>

                <tbody>
                    @if (export.Value.Storage.Length > 0)
                    {
                        uint i = 1;
                        for (uint j = 0; j < export.Value.Storage.Length; j++)
                        {
                            <tr>
                                <td>@i</td>
                                <td>@export.Value.Storage[j].ProductName</td>
                                <td>@export.Value.Storage[j].Quantity</td>
                                <td>@export.Value.Storage[j].ManufactureDate</td>
                                <td>@export.Value.Storage[j].ExpiryDate</td>
                            </tr>
                            i++;
                        }
                    }
                    else
                    {
                        <tr>
                            <td colspan="5" class="text-center fw-bold">No data available</td>
                        </tr>
                    }
                </tbody>
            </table>
        </div>
    }
    else
    {
        <div class="row table_header mb-2">
            <p class="col-auto mb-2 text-start text-danger fw-bold">Export order with ID = "@exportID" was not found</p>
        </div>
    }
</div>


